Projects
GET https://biolink.page/api/projects/
curl --request GET \
--url 'https://biolink.page/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.page/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | Text to search for. |
| search_by | Optional String | The field to search in. Allowed values: name. |
| datetime_field | Optional String | Allowed values: datetime, last_datetime |
| datetime_start | Optional String | Only results from this date and time on. Y-m-d H:i:s format. |
| datetime_end | Optional String | Only results up to this date and time. Y-m-d H:i:s format. |
| order_by | Optional String | The field to sort by. Allowed values: project_id, datetime, last_datetime, name. |
| order_type | Optional String | Sort direction. ASC for ascending, DESC for descending. |
| page | Optional Integer | The page of results you want. Defaults to 1. |
| results_per_page | Optional Integer | How many results per page. Allowed values: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-09-25 23:56:30"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://biolink.page/api/projects?page=1",
"last": "https://biolink.page/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://biolink.page/api/projects?page=1"
}
}
GET https://biolink.page/api/projects/{project_id}
curl --request GET \
--url 'https://biolink.page/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.page/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-09-25 23:56:30"
}
}
POST https://biolink.page/api/projects
| Parameters | Details | Description |
|---|---|---|
| name | Required String | - |
| color | Optional String | - |
| email_reports | Optional Array | Notification handler IDs |
curl --request POST \
--url 'https://biolink.page/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
--url 'https://biolink.page/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-09-25 23:56:30"
}
}
POST https://biolink.page/api/projects/{project_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | - |
| color | Optional String | - |
| email_reports | Optional Array | Notification handler IDs |
curl --request POST \
--url 'https://biolink.page/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
--url 'https://biolink.page/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-09-25 23:56:30"
}
}
DELETE https://biolink.page/api/projects/{project_id}
curl --request DELETE \
--url 'https://biolink.page/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.page/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \